/*
 * ActivityLoader.h
 *
 *  Created on: Oct 31, 2010
 *      Author: maemo
 */

#ifndef ACTIVITYLOADER_H_
#define ACTIVITYLOADER_H_

#include "../type.h"

#include "Activity.h"
#include "ActivityManager.h"

#include <QXmlStreamReader>
#include <QDomDocument>
#include <QDomElement>
#include <QDomNodeList>
#include <QXmlInputSource>

class ActivityLoader {
public:
        static QHash<QString, Activity>* loadXML(QString toLoad);
        static QHash<QString, QSet<Activity>*>* loadCategorySortedXML(QString toLoad);
private:
	ActivityLoader();
	virtual ~ActivityLoader();
	ActivityLoader(const ActivityLoader&);
};

#endif /* ACTIVITYLOADER_H_ */
