/*
 * ButtonListWidget.h
 *
 *  Created on: Nov 10, 2010
 *      Author: maemo
 */

#ifndef BUTTONLISTWIDGET_H_
#define BUTTONLISTWIDGET_H_

#include "../type.h"
#include <QPushButton>
#include <QWidget>
#include <QVBoxLayout>
#include <QScrollArea>
#include <QSignalMapper>
#include "../Activities/Activity.h"

class ButtonListWidget  : public QWidget {
	Q_OBJECT;
public:
        ButtonListWidget(QList<Activity>* activities,QWidget *parent = 0);
	virtual ~ButtonListWidget();
	QList<QPushButton*> * getButtons();
	QSignalMapper* getSignalMapper();
private:
	ButtonListWidget(const ButtonListWidget& copy);
	QList<QPushButton*> *buttons;
	QScrollArea* scrollArea;
	QWidget* scrollAreaWidget;
	QVBoxLayout* widgetLayout;
	QVBoxLayout* upperWidgetLayout;
	QSignalMapper *signalMapper;
};

#endif /* BUTTONLISTWIDGET_H_ */
