/*
 * PendingRequest.h
 *
 *  Created on: Nov 2, 2010
 *      Author: maemo
 */

#ifndef PENDINGREQUEST_H_
#define PENDINGREQUEST_H_

#include "../type.h"

#include "../Requests/Request.h"
#include "../Requests/RequestsManager.h"

#include "../Dialogs/ActivityConfirmationDialog.h"

#include "../Activities/Activity.h"

#include <QtGui>
#include <QWidget>
#include <QMaemo5ValueButton>
#include <QMaemo5InformationBox>

class PendingRequest : public QWidget {
	Q_OBJECT;

public:
	PendingRequest(const Request&, QWidget *parent = 0);
	virtual ~PendingRequest();

public slots:
	void updateRequest();
	void onActivitySelected(QString);

private:
	void populate();

	Request * request;
	QTimer * requestTimer;
	QSignalMapper * signalMapper;
	bool finished;
};

#endif /* PendingRequest_H_ */
