/*
 * MessageFormatter.h
 *
 *  Created on: Oct 19, 2010
 *      Author: maemo
 */

#ifndef MESSAGEFORMATTER_H_
#define MESSAGEFORMATTER_H_

#include "../type.h"

#include "../Activities/Activity.h"

#include "../Requests/Request.h"

#include "../User.h"

class MessageFormatter {
public:
	MessageFormatter();
	virtual ~MessageFormatter();

        static QString request(const User &user, const Request &request, const QList<Activity> &activities);
        static QString presence(const User &user, const Request &request, const QList<Activity> &activities, int presence);
	static QString confirmation(const Request&, const Activity&, const QSet<User>&, const QString&);
	static QString cancellation(const Request&);
};

#endif /* MESSAGEFORMATTER_H_ */
