/*
 * ActivityManager.h
 *
 *  Created on: Oct 14, 2010
 *      Author: maemo
 */

#ifndef ACTIVITYMANAGER_H_
#define ACTIVITYMANAGER_H_

#include "../type.h"

#include "Activity.h"
#include "ActivityLoader.h"

#include "../UserParameters.h"

class ActivityManager {
public:
    static ActivityManager * getInstance();
    Activity getActivity(QString) const;

    QList<Activity> * matchPreferences(const QList<QString>&);

private:
    ActivityManager();
    ActivityManager(ActivityManager &);
    ActivityManager& operator=(ActivityManager&);

    QHash<QString, Activity>* availableActivities;
    QHash<QString, Activity>* userActivities;

    static ActivityManager * _instance;

};

#endif /* ACTIVITYMANAGER_H_ */
