/*
 * ActivityConfirmationDialog.h
 *
 *  Created on: Nov 4, 2010
 *      Author: maemo
 */

#ifndef ACTIVITYCONFIRMATIONDIALOG_H_
#define ACTIVITYCONFIRMATIONDIALOG_H_

#include "../type.h"
#include "../Activities/Activity.h"
#include "../Activities/ActivityManager.h"

#include "../Requests/Request.h"
#include "../Requests/RequestsManager.h"

#include <QtGui>

class ActivityConfirmationDialog : public QWidget {
	Q_OBJECT;
public:
	ActivityConfirmationDialog(const Activity&, const Request&, QWidget * parent = 0);
	virtual ~ActivityConfirmationDialog();

public slots:
	void onOkClicked();
	void onCancelClicked();

private:
	QWidget * parent;
	Activity * activity;
	Request * request;
	QLineEdit * textEdit;
};

#endif /* ACTIVITYCONFIRMATIONDIALOG_H_ */
