/*
 * ResponseDialog.h
 *
 *  Created on: Oct 21, 2010
 *      Author: maemo
 */

#ifndef RESPONSEDIALOG_H_
#define RESPONSEDIALOG_H_

#include "../type.h"

#include "../Activities/Activity.h"

#include "../Network/MessageFormatter.h"
#include "../Network/ChannelSender.h"

#include "../Requests/Request.h"

#include "../User.h"

#include <QDialog>
#include <QCheckBox>
#include <QVBoxLayout>
#include <QPushButton>
#include <QScrollArea>
#include <QGroupBox>

class ActivitySelection : public QDialog {
	Q_OBJECT;

public:
	ActivitySelection(QWidget *parent = 0);
	~ActivitySelection();
        void setup(const User& host, QList<Activity> *activities);

public slots:
	void onOkClicked();
	void onCancelClicked();

private:
        QList<Activity> *activities;
        QList<QCheckBox*> *activitiesCheckBoxes;

	QHBoxLayout* dialogLayout;
};

#endif /* RESPONSEDIALOG_H_ */
