/*
 * TextDialog.cpp
 *
 *  Created on: Nov 3, 2010
 *      Author: maemo
 */

#include "TextDialog.h"

TextDialog::TextDialog(const QString &title, const QString &text,QWidget *parent)
: QDialog(parent){
	setWindowTitle(title);
	area = new QScrollArea(this);
	areaWidget = new QWidget();
	layout = new QVBoxLayout(areaWidget);
	helpText = new QLabel(text);
	layout->addWidget(helpText);
	area->setWidget(areaWidget);
	area->show();
}

TextDialog::~TextDialog() {
	delete helpText;
	delete layout;
	delete areaWidget;
	delete area;
}
