/*
 * type.h
 *
 *  Created on: Oct 14, 2010
 *      Author: maemo
 */

#ifndef TYPE_H_
#define TYPE_H_

#include "channel.h"

#include <QtCore/QObject>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QMultiHash>
#include <QtCore/QString>
#include <QtCore/QHash>
#include <QtCore/QSet>
#include <QDir>
#include <QCryptographicHash>

#define NEBIA_SERVICE_ID 511

#define NEBIA_INVALID_MESSAGE 30
#define NEBIA_PROTOCOL_MISMATCH 31
#define NEBIA_INVITATION_RECEIVED 33
#define NEBIA_CONFIRMATION_RECEIVED 34
#define NEBIA_PARTICIPATION_RECEIVED 35
#define NEBIA_CANCELLATION_RECEIVED 36

#define NEBIA_CONFIRMATION_SURE 1
#define NEBIA_CONFIRMATION_UNSURE 2

#define NEBIA_INVITE_TTL 60000
#define NEBIA_INVITE_REFRESH 5000

#define NEBIA_FOLDER "/home/user/MyDocs/.nebia/"
#define NEBIA_USER_PREFS_ACTIVITIES_FILE "user_activities.xml"
#define NEBIA_SQL_FILE "nebia_activities"
#define NEBIA_ACTIVITIES_FILE "/opt/nebia/data/activities.xml"

#endif /* TYPE_H_ */
